Package org.apache.cayenne.log

## Class CompactSlf4jJdbcEventLogger

- java.lang.Object
- - org.apache.cayenne.log.Slf4jJdbcEventLogger
  - - org.apache.cayenne.log.CompactSlf4jJdbcEventLogger

- All Implemented Interfaces:
    `JdbcEventLogger`

      public class CompactSlf4jJdbcEventLogger
      extends Slf4jJdbcEventLogger

  Since:
    4.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.log.Slf4jJdbcEventLogger

      `queryExecutionTimeLoggingThreshold`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompactSlf4jJdbcEventLogger​(RuntimeProperties runtimeProperties)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `appendParameters​(StringBuilder buffer, String label, ParameterBinding[] bindings)` |
    `void` | `logBeginTransaction​(String transactionLabel)` |
    `void` | `logCommitTransaction​(String transactionLabel)` |
    `void` | `logQuery​(String sql, ParameterBinding[] bindings)` |
    `protected String` | `processUnionSql​(String sql)` |
    `protected String` | `trimSqlSelectColumns​(String sql)` |

    - ### Methods inherited from class org.apache.cayenne.log.Slf4jJdbcEventLogger

      `isLoggable, log, logGeneratedKey, logQueryError, logQueryParameters, logRollbackTransaction, logSelectCount, logSelectCount, logUpdateCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompactSlf4jJdbcEventLogger

          public CompactSlf4jJdbcEventLogger​(RuntimeProperties runtimeProperties)

  - ### Method Detail

    - #### logQuery

          public void logQuery​(String sql,
                               ParameterBinding[] bindings)

      Specified by:
        `logQuery` in interface `JdbcEventLogger`
      Overrides:
        `logQuery` in class `Slf4jJdbcEventLogger`

    - #### processUnionSql

          protected String processUnionSql​(String sql)

    - #### trimSqlSelectColumns

          protected String trimSqlSelectColumns​(String sql)

    - #### appendParameters

          protected void appendParameters​(StringBuilder buffer,
                                          String label,
                                          ParameterBinding[] bindings)

      Overrides:
        `appendParameters` in class `Slf4jJdbcEventLogger`

    - #### logBeginTransaction

          public void logBeginTransaction​(String transactionLabel)

      Specified by:
        `logBeginTransaction` in interface `JdbcEventLogger`
      Overrides:
        `logBeginTransaction` in class `Slf4jJdbcEventLogger`

    - #### logCommitTransaction

          public void logCommitTransaction​(String transactionLabel)

      Specified by:
        `logCommitTransaction` in interface `JdbcEventLogger`
      Overrides:
        `logCommitTransaction` in class `Slf4jJdbcEventLogger`